- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaePassStateMaterialType Namespace Reference

The render state material types. More...

## Enumerations
enum | Type { EMISSION = 0x1600, AMBIENT = 0x1200, DIFFUSE = 0x1201, SPECULAR = 0x1202, AMBIENT_AND_DIFFUSE = 0x1602, INVALID }
| The applicable material type. More...
## Functions
FCOLLADA_EXPORT Type | FromString (const char *value)
| Converts the COLLADA render state material type string to the material type.
Type | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.
FCOLLADA_EXPORT const char * | ToString (Type type)
| Converts the material type to its COLLADA render state material type string.

## Detailed Description

The render state material types.

## Enumeration Type Documentation

enum FUDaePassStateMaterialType::Type

  | The applicable material type. Enumerator:
  EMISSION | An emissive material.
  AMBIENT | An ambient material.
  DIFFUSE | A diffuse material.
  SPECULAR | A specular material.
  AMBIENT_AND_DIFFUSE | An ambient and diffuse material.
  INVALID | An invalid material type.

## Function Documentation

Type FUDaePassStateMaterialType::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Type FUDaePassStateMaterialType::FromString | ( | const char * | value | ) |

  | Converts the COLLADA render state material type string to the material type. Parameters:
  | value | The render state material type string.
Returns: The material type.

FCOLLADA_EXPORT const char* FUDaePassStateMaterialType::ToString | ( | Type | type | ) |

  | Converts the material type to its COLLADA render state material type string. Parameters:
  | type | The material type.
Returns: The render state material type string.